from parallels.plesk.source.plesk.capability_dump.model.base.model import CapabilityDumpModel


# noinspection PyAbstractClass
class PleskBaseCapabilityDumpModel(CapabilityDumpModel):
    def __init__(self, selection, dump_agent):
        """
        :type selection: parallels.core.utils.pmm.agent.DumpAll|parallels.core.utils.pmm.agent.DumpSelected
        :type dump_agent: parallels.core.utils.pmm.agent.PmmMigrationAgentBase
        """
        super(PleskBaseCapabilityDumpModel, self).__init__(selection)
        self._dump_agent = dump_agent
